{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'flux/detail.html.twig' %}
{% form_theme form _self %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block _flux_outputType_widget %}
        {% if form.vars.value %}
            <div class="input-group">
                {{ form_widget(form) }}
                <span class="input-group-btn">
                    <a class="btn btn-default ouput-format-preview-link" href="{{ path('flux.help.output', {id: form.vars.value}) }}" title="{{ "label.preview_format" | trans }}" data-toggle="modal-remote"><i class="fa fa-info-circle"></i></a>
                </span>
            </div><!-- /input-group -->
        {% else %}
            {{ form_widget(form) }}
        {% endif %}
{% endblock %}

{% block _flux_dataGouv_row -%}
    {% spaceless %}
        <div class="form-group{% if not valid %} has-error{% endif %}">
            {{- block('form_label') -}}
            <div class="{{ block('form_group_class') }}">
                {{ form_widget(form) }}
                {{ form_errors(form) }}
                {% if help is defined %}<p class="help-block">{{ help|trans|raw }}</p>{% endif %}
            </div>
        </div>
    {% endspaceless %}
{%- endblock %}

{% block _flux_languages_widget -%}
    {% spaceless %}
        <div {{ block('widget_container_attributes') }}>
            <div class="row">
                {% for childs in form|batch((form|length/2)|round(0, 'floor')) %}
                <div class="col-sm-2">
                    {%- for child in childs %}
                        {{- form_widget(child, {
                            parent_label_class: label_attr.class|default(''),
                            translation_domain: choice_translation_domain,
                        }) -}}
                    {%- endfor -%}
                </div>
                {%- endfor -%}
            </div>

        </div>
    {% endspaceless %}
{%- endblock %}

{% block subcontent %}
    {{ form_start(form, {'attr': {'class': 'flux-params'}}) }}
        <div class="box-body">
            {{ form_row(form.name) }}
            {{ form_row(form.description) }}
            {{ form_row(form.outputType) }}

            {% if form.languages is defined %}
                {{ form_row(form.languages) }}
            {% endif %}

            {% if form.dataGouv is defined %}
                {{ form_row(form.dataGouv) }}
            {% endif %}

            {% if form.dataSet is defined %}
                {{ form_row(form.dataSet) }}
            {% endif %}

            {% if is_granted('flux.download', flux) %}
                <div class="form-group">
                    <label class="col-sm-2 control-label">Webservice</label>
                    <div class="col-sm-10">
                        <samp class="form-control">{{ url('flux.download.webservice', {flux_key: flux.apiId, app_key: 'app_key'}) | replace({'app_key': '{app_key}'}) }}</samp>
                        <div class="small-box bg-gray-light m-t-10 m-b-0">
                            <div class="icon-heading">
                                <i class="fa fa-lightbulb-o"></i>
                            </div>
                            <div class="inner">{{ "help.webservice" | trans({"%url%": path('application.index')}) | raw }}</div>
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>

        {# footer #}
        {% if is_granted('flux.edit', flux) %}
            <div class="box-footer">
                <div class="row">
                    <div class="col-sm-offset-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">{{ "btn.save" | trans }}</button>
                    </div>
                </div>
            </div>
        {% endif %}
    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    <script type="text/javascript">
        // update eye link id argument


        $(function() {
            var link = $('.btn.ouput-format-preview-link').attr('href');
            $('.ouput-format-preview-link').attr('href', link);

            $("#flux_outputType").change(function() {
                link = $('.btn.ouput-format-preview-link').attr('href');
                var parts = link.split('/');
                parts[parts.length - 1] = $("#flux_outputType").val();
                $('.ouput-format-preview-link').attr('href', parts.join('/'));
            });
        });
    </script>
{% endblock %}